From fa64d9458adb16fc149f66a02c96d738a2e8d4c4 Mon Sep 17 00:00:00 2001
From: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
Date: Tue, 26 Oct 2010 14:18:23 -0500
Subject: [PATCH 1/2] pcm: pass hw_params flags to slave

fix required before interrupt disabling routines patch can be applied.
Without this fix, the interrupts are only disabled when accessing
directly hw devices.

Signed-off-by: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>
---
 src/pcm/pcm_params.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/src/pcm/pcm_params.c b/src/pcm/pcm_params.c
index 3a90bcd..416b081 100644
--- a/src/pcm/pcm_params.c
+++ b/src/pcm/pcm_params.c
@@ -2126,6 +2126,7 @@ int _snd_pcm_hw_params_refine(snd_pcm_hw_params_t *params,
 			err = changed;
 	}
 	params->info &= src->info;
+        params->flags = src->flags; /* propagate flags to slave */
 	return err;
 }
 
-- 
1.7.2.3

